%global momorel 4
%global libversion 2.0x_cvs
%global __ln ln

Summary: A program which a Linux user can utilize to create a rescue/restore CD/tape.
Name:    mondo

%{?!include_specopt}
%{?!_without_xmondo:    %global _without_xmondo 0}

Version: 2.04
Release: %{momorel}m%{?dist}
License: GPL
Group:   Applications/Archiving
URL:     http://www.mondorescue.org
Source0: ftp://ftp.mondorescue.org/src/%{name}-%{version}.tgz
NoSource:  0
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: newt-devel >= 0.50, slang-devel >= 1.4.1, gcc

Requires: mindi >= 1.02, bzip2 >= 0.9
Requires: newt >= 0.50, slang >= 1.4.1
Requires: afio, genisoimage, binutils, buffer, parted
# add xorg library at xmondo
%{!?_without_xmondo:BuildRequires: gcc-c++, qt-devel, kdelibs-devel, libpng-devel}
%ifarch ia64
Requires: elilo
%else
Requires: syslinux >= 1.52, wodim
%{!?_without_xmondo:BuildRequires: arts-devel, libart_lgpl-devel}
%endif

Autoreq: 0

%package xmondo
Summary: A QT based graphical front end for %{name}
Group:   Applications/Archiving
Requires: %{name} = %{version}-${release}, qt, kdelibs

%package devel
Summary: Header files for building against Mondo
Group: Development/Libraries

%description
Objective
"""""""""
To produce a program which any Linux user can utilize to create
a rescue/restore CD (or CDs, if their installation is >2Gb approx.). Also
works for tapes and NFS.

%description xmondo
Xmondo is a QT based graphical frontend to mondoarchive.  It can help you 
set up a backup by following onscreen prompts.

%description devel
mondo-devel contains a few header files that are necessary for developing
with mondo.

%prep
%setup -q
# clear out any CVS directories if they exist
for dir in `find . -name CVS`
do
  rm -rf ${dir}
done

chmod 755 configure

%configure \
%if  %{_without_xmondo}
	--with-x11
%endif

%build
%{__make} VERSION=%{version} CFLAGS="-D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_REENTRANT"

%install
rm -Rf /usr/local/share/mondo
%{__mkdir} -p %{buildroot}%{_datadir}/mondo
%{__mkdir} -p %{buildroot}%{_includedir}/mondo
%{__mkdir} -p %{buildroot}%{_sbindir}
%{__mkdir} -p %{buildroot}%{_libdir}
%{__mkdir} -p %{buildroot}%{_mandir}/man8
for fname in mondo/mondoarchive/.libs/mondoarchive mondo/mondorestore/.libs/mondorestore ; do
    %{__install} -m 755 $fname %{buildroot}%{_sbindir}
    %{__install} -m 755 $fname %{buildroot}%{_datadir}/mondo
done
%{!?_without_xmondo:%{__install} -m 755 mondo/xmondo/.libs/xmondo %{buildroot}%{_sbindir}}

for f in libmondo libmondo.so libmondo-newt libmondo-newt.so libmondo-newt.1 libmondo-newt.so.1 libmondo-newt.1.0.0 libmondo-newt.so.1.0.0 libmondo.2 libmondo.so.2 libmondo.2.0.3 libmondo.so.2.0.3 ; do
    fname=mondo/common/.libs/$f
    if [ -e "$fname" ] ; then

# Hugo's way
#        %{__install} -m 755 $fname %{buildroot}%{_libdir}
# ----------
# Joshua's way
         %{__cp} -d $fname %{buildroot}%{_libdir}
# ----------
    
    fi
done
%{!?_without_xmondo:%{__install} -m 755 mondo/common/.libs/libXmondo-%{libversion}.so %{buildroot}%{_libdir}}
%{!?_without_xmondo:%{__ln} -s libXmondo-%{libversion}.so %{buildroot}%{_libdir}/libXmondo.so}
%{!?_without_xmondo:%{__install} -m 644 mondo/xmondo/mondo.png %{buildroot}%{_datadir}/mondo}
%{__install} -m 755 mondo/do-not-compress-these       %{buildroot}%{_datadir}/mondo
%{__install} -m 755 mondo/autorun                     %{buildroot}%{_datadir}/mondo
%{__install} -m 644 mondo/mondoarchive/mondoarchive.8 %{buildroot}%{_mandir}/man8
gzip -9 -f %{buildroot}%{_mandir}/man8/mondoarchive.8
%{__cp} -Rf mondo/restore-scripts  %{buildroot}%{_datadir}/mondo
%{__cp} -Rf mondo/post-nuke.sample %{buildroot}%{_datadir}/mondo
for fname in mondo/common/my-stuff.h mondo/common/mondostructures.h mondo/common/libmondo-*-EXT.h mondo/common/X-specific-EXT.h mondo/common/newt-specific-EXT.h; do
    %{__install} -m 644 $fname %{buildroot}%{_includedir}/mondo
done

%post
ldconfig

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc ChangeLog mondo/docs/en/*
%dir %{_datadir}/mondo
%{_sbindir}/mondorestore
%{_sbindir}/mondoarchive
%{_datadir}/mondo/mondorestore
%{_datadir}/mondo/post-nuke.sample/*
%{_datadir}/mondo/restore-scripts/*
%{_datadir}/mondo/do-not-compress-these
%{_datadir}/mondo/mondoarchive
%{_datadir}/mondo/autorun
%{_mandir}/man8/mondoarchive.8*
%{_libdir}/*

%{!?_without_xmondo:%files xmondo}
%{!?_without_xmondo:%{_sbindir}/xmondo}
%{!?_without_xmondo:%{_libdir}/libXmondo-%{libversion}.so}
%{!?_without_xmondo:%{_libdir}/libXmondo.so}
%{!?_without_xmondo:%{_datadir}/mondo/mondo.png}

%files devel
%defattr(-,root,root)
%dir %{_includedir}/mondo
%{_includedir}/mondo/*

%changelog
* Fri Jun  8 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (2.04-4m)
- good-bye cdrtools and welcome cdrkit

* Thu May 24 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (2.04-3m)
- change Source URL

* Mon Jun 07 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.04-2m)
- fix files list (%%{_libdir})

* Sat Mar 05 2005 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.04-1m)
- update

* Thu Feb 17 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (2.03-3m)
- add %%defattr.

* Tue Aug 10 2004 Kimitake SHIBATA <siva@momonga-linux.org>
- (2.03-2m)
- typo

* Tue Jul 10 2004 KImitake SHIBATA <siva@momonga-linux.org>
- (2.03-1m)
- New Version
- DVD+-R(W) writeing is supported.

* Tue Dec  2 2003 Kimitake SHIBATA <siva@momonga-linux.org>
- (1.67-2m)
- add source

* Fri Nov 14 2003 Kimitake SHIBATA <siva@momonga-linux.org>
- (1.67-1m)
- First Relese

